package com.mdd.admin.validate.decorate;

import com.mdd.admin.vo.decorate.DecorateTabsListsVo;
import com.mdd.admin.vo.decorate.DecorateTabsStyleVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;

@ApiModel("底部装修参数")
public class DecorateTabsValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("样式")
   private DecorateTabsStyleVo style;
   @ApiModelProperty("列表")
   private List<DecorateTabsListsVo> list;

   public DecorateTabsStyleVo getStyle() {
      return this.style;
   }

   public List<DecorateTabsListsVo> getList() {
      return this.list;
   }

   public void setStyle(DecorateTabsStyleVo style) {
      this.style = style;
   }

   public void setList(List<DecorateTabsListsVo> list) {
      this.list = list;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DecorateTabsValidate)) {
         return false;
      } else {
         DecorateTabsValidate other = (DecorateTabsValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$style = this.getStyle();
            Object other$style = other.getStyle();
            if (this$style == null) {
               if (other$style != null) {
                  return false;
               }
            } else if (!this$style.equals(other$style)) {
               return false;
            }

            Object this$list = this.getList();
            Object other$list = other.getList();
            if (this$list == null) {
               if (other$list != null) {
                  return false;
               }
            } else if (!this$list.equals(other$list)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DecorateTabsValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $style = this.getStyle();
      result = result * 59 + ($style == null ? 43 : $style.hashCode());
      Object $list = this.getList();
      result = result * 59 + ($list == null ? 43 : $list.hashCode());
      return result;
   }

   public String toString() {
      return "DecorateTabsValidate(style=" + this.getStyle() + ", list=" + this.getList() + ")";
   }
}
